git » gegl.git » commit 3559f24

Upstream update, Added lua support

author Eric Bélanger
2010-02-16 02:11:43 UTC
committer Eric Bélanger
2010-02-16 02:11:43 UTC
parent f4a4aa44a13651b8af490853f5b1f9c07bcce828

Upstream update, Added lua support

ChangeLog +6 -0
PKGBUILD +13 -11

diff --git a/ChangeLog b/ChangeLog
index c313aed..71cee76 100644
--- a/ChangeLog
+++ b/ChangeLog
@@ -1,3 +1,9 @@
+2010-02-15  Eric Belanger  <eric@archlinux.org>
+
+	* gegl 0.1.2-1
+	* Upstream update
+	* Added lua support
+
 2010-01-17  Ionut Biru  <ionut@archlinux.ro>
 
 	* gegl 0.1.0-2
diff --git a/PKGBUILD b/PKGBUILD
index 3fb53d3..4feef03 100644
--- a/PKGBUILD
+++ b/PKGBUILD
@@ -2,24 +2,26 @@
 # Contributor: Charles-Henri d'Adhemar <cdadhemar@gmail.com>
 
 pkgname=gegl
-pkgver=0.1.0
-pkgrel=2
+pkgver=0.1.2
+pkgrel=1
 pkgdesc="Graph based image processing framework"
 arch=('i686' 'x86_64')
 url="http://www.gegl.org/"
 license=('GPL3' 'LGPL3')
-depends=('babl>=0.1.0' 'libpng>=1.4.0' 'libjpeg>=8' 'gtk2>=2.18.6')
-makedepends=('ruby' 'openexr' 'ffmpeg' 'librsvg')
-optdepends=('openexr: for using the openexr plugin' 'ffmpeg: for using the ffmpeg plugin' 'librsvg: for using the svg plugin')
+depends=('babl' 'libpng' 'libjpeg' 'gtk2')
+makedepends=('ruby' 'lua' 'openexr' 'ffmpeg' 'librsvg')
+optdepends=('openexr: for using the openexr plugin' \
+            'ffmpeg: for using the ffmpeg plugin' \
+            'librsvg: for using the svg plugin')
 options=('!libtool')
-#source=(ftp://ftp.gimp.org/pub/${pkgname}/${pkgver%.*}/${pkgname}-${pkgver}.tar.bz2 )
-source=(ftp://ftp.archlinux.org/other/gegl/gegl-git.tar.bz2)
-md5sums=('069faf3e841b0badcdd4a4d5f3a3b2d6')
-sha1sums=('55e8028da7ffbb5a0987e4c25190d863c59212ec')
+source=(ftp://ftp.gimp.org/pub/${pkgname}/${pkgver%.*}/${pkgname}-${pkgver}.tar.bz2)
+md5sums=('d35ffe17dc042652eca3205488ece262')
+sha1sums=('34b4a6be9e472324d6dd1233713a1f8851fcdc04')
 
 build() {
-  cd "${srcdir}/${pkgname}"
-  ./autogen.sh --prefix=/usr  --with-sdl --with-openexr --with-librsvg --with-libavformat --disable-docs || return 1
+  cd "${srcdir}/${pkgname}-${pkgver}"
+  ./configure  --prefix=/usr  --with-sdl --with-openexr --with-librsvg \
+    --with-libavformat --disable-docs || return 1
   make  || return 1
   make DESTDIR="${pkgdir}" install || return 1
 }